/*
	This function makes sure an element exists
	before trying to run code on it, effectively
	prevents any errors that can break other code
	and increases performance.

    - Kenny
*/
var is_element = function(elem, callBack) {
    return (jQuery(elem).length > 0) ? callBack() : false;
}

jQuery(function($) {
	$(document).ready(function(){
		// Brandefined Logo Animation
		is_element('.brandefined-logo-container', function(){
			var $logo = $('.brandefined-logo-container');
			$logo.on('mouseover', function() {
				$('.brandefined-logo span').addClass('show');
			});
			$logo.on('mouseout', function() {
				$('.brandefined-logo span').removeClass('show');
			});
		});
	});
});